ch.qos.logback.core.joran.spi

## Class ActionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ch.qos.logback.core.joran.spi.ActionException

All Implemented Interfaces:
  java.io.Serializable

    public class ActionException
    extends java.lang.Exception

By throwing an exception an action can signal the Interpreter to skip processing of all the nested (child) elements of the element associated with the action causing the exception.

Author:
  Ceki Gulcu
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ActionException()`
`ActionException(java.lang.Throwable rootCause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActionException

    public ActionException()

#### ActionException

    public ActionException(java.lang.Throwable rootCause)